summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2016-01-07 09:40:04 -0500
committerMichael Orlitzky <mjo@gentoo.org>2016-01-07 09:40:38 -0500
commit0b734057b64204e5c1dc340ec0d33fb94279d857 (patch)
tree8d3ae4361a4cd7aa2f455fd8a72d52f6bae91221
parentdev-lang/php: remove php-7.0.0; use php-7.0.1 instead. (diff)
downloadgentoo-0b734057b64204e5c1dc340ec0d33fb94279d857.tar.gz
gentoo-0b734057b64204e5c1dc340ec0d33fb94279d857.tar.bz2
gentoo-0b734057b64204e5c1dc340ec0d33fb94279d857.zip
dev-lang/php: update the apache2 post-install notification about mod_php.
Newer versions of app-eselect/eselect-php require some apache configuration changes. This configuration is mentioned in the dev-lang/php pkg_postinst() phase, which isn't ideal, but is what it is. Since php:7.0 requires the new eselect-php, the pkg_postinst() for php:7.0 has been updated to reflect the configuration changes. Thanks to Tomáš Mózes for pointing this out. Gentoo-Bug: 552156 Package-Manager: portage-2.2.24
-rw-r--r--dev-lang/php/php-7.0.1.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/dev-lang/php/php-7.0.1.ebuild b/dev-lang/php/php-7.0.1.ebuild
index a085f970dcf..76a0c13448f 100644
--- a/dev-lang/php/php-7.0.1.ebuild
+++ b/dev-lang/php/php-7.0.1.ebuild
@@ -729,8 +729,8 @@ src_test() {
pkg_postinst() {
# Output some general info to the user
if use apache2 ; then
- APACHE2_MOD_DEFINE="PHP5"
- APACHE2_MOD_CONF="70_mod_php5" # Provided by app-eselect/eselect-php
+ APACHE2_MOD_DEFINE="PHP"
+ APACHE2_MOD_CONF="70_mod_php" # Provided by app-eselect/eselect-php
apache-module_pkg_postinst
fi